package org.hornetq.jms.example;

import javax.jms.*;

/**
 * @author Grant Little <grant.little@coreservices.com.au>
 */
public class Utils {

    public static void closeSession(Session session) {
        if (session != null) {
            try {
                session.close();
            } catch (JMSException e) {
                
            }
        }
    }

    public static void closeConsumer(MessageConsumer consumer) {
        if (consumer != null) {
            try {
                consumer.close();
            } catch (JMSException e) {

            }
        }
    }

    public static void closeProducer(MessageProducer producer) {
        if (producer != null) {
            try {
                producer.close();
            } catch (JMSException e) {

            }
        }
    }
    

    public static void closeConnection(Connection connection) {
        if (connection != null) {
            try {
                connection.close();
            } catch (JMSException e) {

            }
        }
    }
    
}
